> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Triggers the Receive action for a specific connector to receive one or more specified file(s).

> Triggers the Receive action for a specific connector to receive one or more specified file(s).



## OpenAPI

````yaml 26.3/cloud/en/api-reference/openapi.json POST /receiveFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /receiveFile:
    post:
      tags:
        - receiveFile
      summary: >-
        Triggers the Receive action for a specific connector to receive one or
        more specified file(s).
      description: >-
        Triggers the Receive action for a specific connector to receive one or
        more specified file(s).
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/receiveFile_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/receiveFile_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    receiveFile_input:
      type: object
      required:
        - ConnectorId
      properties:
        ConnectorId:
          description: The connector Id.
          type: string
        WorkspaceId:
          type: string
          description: The Id of the workspace containing the connector.
        PortId:
          type: string
          description: The Id of the port to use for the connection.
        File:
          type: string
          description: >-
            The specific filename to receive. If omitted, all files matching the
            connector settings are received. Only available for FTP, SFTP, and
            S3 connectors.
        RemotePath:
          type: string
          description: >-
            Sets the remote path on the server from which the application
            downloads files. Use a comma-separated list to supply paths to
            multiple folders. Only available for FTP, SFTP, and S3 connectors.
    receiveFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            type: string
            description: The message Id associated with the file.
          Subfolder:
            type: string
            description: The subfolder path where the received file was stored.
          File:
            type: string
            description: The name of the received file(s).
          FileSize:
            type: string
            description: The size of the received file(s) in bytes.
          ErrorMessage:
            type: string
            description: >-
              When multiple files are transferred over the same connection, this
              returns an error message when an individual file transfer fails.
              If this is empty, the file transfer succeeded.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````